'use strict';

module.exports.create = function (process) {
  var w = new (require('events').EventEmitter)();

  process.on('message', function (data) {
    w.emit('message', data);
  });

  w.send = function (data) {
    process.send(data);
  };

  return w;
};
